RESTinio

Classes | Namespaces | Macros | Typedefs | Enumerations | Functions | Variables
asio_include.hpp File Reference
`#include <asio.hpp>`

Go to the source code of this file.

## Classes
class | restinio::impl::restinio_err_category_t
| Error category for asio compatible error codes. More...

## Namespaces
namespace | restinio
namespace | restinio::asio_ec
namespace | restinio::impl

## Macros
#define | RESTINIO_ASIO_VERSION ASIO_VERSION
#define | RESTINIO_ERROR_CATEGORY_NAME_NOEXCEPT ASIO_ERROR_CATEGORY_NOEXCEPT

## Typedefs
using | restinio::error_category_base_t = asio_ns::error_category
| An alias for base class of error category entity. More...
using | restinio::default_asio_executor = asio_ns::executor

## Enumerations
enum class | restinio::asio_convertible_error_t : int { restinio::write_was_not_executed = 100 , restinio::write_group_destroyed_passively , restinio::async_write_call_failed , restinio::async_read_some_at_call_failed }
| Enum for restinio errors that must presented as asio_ns::error_code value. More...

## Functions
const auto & | restinio::asio_ec::system_category ()
const error_category_base_t & | restinio::restinio_err_category ()
| Get restinio error category. More...
asio_ns::error_code | restinio::make_asio_compaible_error (asio_convertible_error_t err) noexcept
| Make restinio error_code compatible with asio_ns::error_code. More...
Adoptation functions to cover differences between snad-alone and beast asio.
bool | restinio::error_is_operation_aborted (const asio_ns::error_code &ec) noexcept
bool | restinio::error_is_eof (const asio_ns::error_code &ec) noexcept

## Variables
constexpr auto | restinio::asio_ec::eof = asio_ns::error::eof

## Macro Definition Documentation

## ◆ RESTINIO_ASIO_VERSION

#define RESTINIO_ASIO_VERSION ASIO_VERSION

Selective include of asio/boost::asio.

Definition at line 18 of file asio_include.hpp.

## ◆ RESTINIO_ERROR_CATEGORY_NAME_NOEXCEPT

#define RESTINIO_ERROR_CATEGORY_NAME_NOEXCEPT ASIO_ERROR_CATEGORY_NOEXCEPT

Definition at line 50 of file asio_include.hpp.